Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.panels.request.actions
Class WSIValidateRequestAction

    java.lang.Object
      com.eviware.soapui.support.action.support.AbstractSoapUIAction<T>
          com.eviware.soapui.impl.wsdl.actions.iface.tools.support.AbstractToolsAction<WsdlRequest>
              com.eviware.soapui.impl.wsdl.panels.request.actions.WSIValidateRequestAction

All Implemented Interfaces:
  SoapUIAction<WsdlRequest>, PropertyChangeNotifier

    public class WSIValidateRequestAction

extends AbstractToolsAction<WsdlRequest>

Validates the request XML of a WsdlRequest

Author:
  Ole.Matzura

Nested Class Summary

Nested classes/interfaces inherited from class com.eviware.soapui.impl.wsdl.actions.iface.tools.support.AbstractToolsAction
`AbstractToolsAction.CloseAction, AbstractToolsAction.GenerateAction, AbstractToolsAction.ShowIntegratedToolsSettingsAction`

Field Summary

Fields inherited from class com.eviware.soapui.impl.wsdl.actions.iface.tools.support.AbstractToolsAction
`CACHED_WSDL, dialog, JAVA_ARGS, TOOL_ARGS, valuesSettingID, WSDL`

Fields inherited from interface com.eviware.soapui.support.action.SoapUIAction
`ENABLED_PROPERTY`

Constructor Summary
`WSIValidateRequestAction()`

Method Summary
`protected void` | `generate(StringToStringMap values, ToolHost toolHost, WsdlRequest modelItem)`

Methods inherited from class com.eviware.soapui.impl.wsdl.actions.iface.tools.support.AbstractToolsAction
`addJavaArgs, addToolArgs, addWSDLFields, buildArgsForm, buildClasspath, buildDefaultActions, buildDialog, closeDialog, createRunOption, getDefinition, getModelItem, getToolsSettingsAction, getValuesSettingID, getWsdlUrl, initValues, initWSDL, onClose, perform, run, setFixedWSDL, setToolsSettingsAction, setValuesSettingID`

Methods inherited from class com.eviware.soapui.support.action.support.AbstractSoapUIAction
`addPropertyChangeListener, addPropertyChangeListener, applies, getDescription, getName, isDefault, isEnabled, removePropertyChangeListener, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WSIValidateRequestAction

    public WSIValidateRequestAction()

Method Detail

### generate

    protected void generate(StringToStringMap values,
                            ToolHost toolHost,
                            WsdlRequest modelItem)
                     throws java.lang.Exception

  Specified by:
    `generate` in class `AbstractToolsAction<WsdlRequest>`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.